org.modeshape.sequencer.msoffice

## Class MSOfficeMetadata

- java.lang.Object
- - org.modeshape.sequencer.msoffice.MSOfficeMetadata

- All Implemented Interfaces:
    org.apache.poi.poifs.eventfilesystem.POIFSReaderListener

      public class MSOfficeMetadata
      extends Object
      implements org.apache.poi.poifs.eventfilesystem.POIFSReaderListener

  Metadata about an Microsoft Office file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSOfficeMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthor()`
    `int` | `getCharacters()`
    `String` | `getComment()`
    `Date` | `getCreated()`
    `String` | `getCreatingApplication()`
    `String` | `getKeywords()`
    `Date` | `getLastPrinted()`
    `Date` | `getLastSaved()`
    `int` | `getPages()`
    `String` | `getRevision()`
    `String` | `getSubject()`
    `String` | `getTemplate()`
    `byte[]` | `getThumbnail()`
    `String` | `getTitle()`
    `Long` | `getTotalEditingTime()`
    `int` | `getWords()`
    `void` | `processPOIFSReaderEvent(org.apache.poi.poifs.eventfilesystem.POIFSReaderEvent event)`
    `void` | `setSummaryInformation(org.apache.poi.hpsf.SummaryInformation si)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSOfficeMetadata

          public MSOfficeMetadata()

  - ### Method Detail

    - #### setSummaryInformation

          public void setSummaryInformation(org.apache.poi.hpsf.SummaryInformation si)

    - #### processPOIFSReaderEvent

          public void processPOIFSReaderEvent(org.apache.poi.poifs.eventfilesystem.POIFSReaderEvent event)

      Specified by:
        `processPOIFSReaderEvent` in interface `org.apache.poi.poifs.eventfilesystem.POIFSReaderListener`

    - #### getTitle

          public String getTitle()

    - #### getSubject

          public String getSubject()

    - #### getAuthor

          public String getAuthor()

    - #### getKeywords

          public String getKeywords()

    - #### getComment

          public String getComment()

    - #### getTemplate

          public String getTemplate()

    - #### getLastSaved

          public Date getLastSaved()

    - #### getRevision

          public String getRevision()

    - #### getTotalEditingTime

          public Long getTotalEditingTime()

    - #### getLastPrinted

          public Date getLastPrinted()

    - #### getCreated

          public Date getCreated()

    - #### getPages

          public int getPages()

    - #### getWords

          public int getWords()

    - #### getCharacters

          public int getCharacters()

    - #### getCreatingApplication

          public String getCreatingApplication()

    - #### getThumbnail

          public byte[] getThumbnail()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.